2019-07-14 16.7
- Fixes:
  - Fix spacing around icons in executor without text in vertical panels (issue #716)
  - Fix Bug: Clock Only Updates Every Minute With Format %s (issue #724)
  - Fix markup drawing when font shadow enabled (issue #709)
  - Struts pivoting: workaround for panel positioning between monitors in mutter (Chris Billington)
- Enhancements:
  - Blink battery when discharging and low (issue #723)
  - Add support for battery percentage without % sign (issue #730)
  - Expand leading ~ in icon paths

2018-08-05 16.6.1
- Fix packaging regression for debian (issue #715)

2018-08-04 16.6
- Fix regression in task icon brightness (issue #714)

2018-08-04 16.5
- Add new build script
- Add option to sort taskbar by application name
- Fix regression in image loading

2018-05-03 16.4
- Update AUTHORS
- Fixes:
  - Fix leak in image loading (issue #704)
  - Executors no longer log unless env var DEBUG_EXECUTORS is set

2018-04-17 16.3
- Fixes:
  - Layout in executor (issue #695)
  - Other small issues

2018-01-21 16.2
- Fixes:
  - Proper fix for issue #688
  - Fix bad word wrapping (issue #693)
- Enhancements:
  - Preliminary high DPI support

2017-12-30 16.1
- Fixes:
  - Fixed several use-after-free errors in the timer code
  - Merged patches and fixed other warnings on OpenBSD
  - Task, Button, Executor: add a bit of slack in the pango text layout,
    to avoid wrapping due to rounding errors

2017-12-20 16.0
- Fixes:
  - Taskbar: `taskbar_distribute_size = 1` now playes well with `task_align = center` and
    `task_align = right` (issue #688)
- Enhancements:
  - Added Spanish translation (contributed by Vicmz)
  - Executor: updated tooltip documentation (issue #676)
  - Systray: warn on duplicate config option systray_name_filter (issue #652)
  - Taskbar: thumbnail support in tooltips
  - Use C11 if possible to support generic printing for unit tests (should fall back to C99)

2017-11-05 15.3
- Fixes:
  - Launcher: Reset signal mask before executing commands (issue #674)
  - cmake: Do not hardcode path to /etc

2017-10-01 15.2
- Fixes:
  - Battery info is now again displayed even when current sensor is missing (https://github.com/jmc-88/tint3/issues/34)
  - Text elements compute their size correctly (issue #671)
  - Window order persists on panel restart (issue #615)

2017-09-08 15.1
- Fixes:
  - Fixed build on non-Linux and non-x86 systems

2017-09-02 15.0
- Fixes:
  - Clock, executors and other timers fire correctly after waking up from suspend
  - One-shot timers are restarted correctly from their own callbacks
  - Clock is refreshed with better accuracy (thanks @aaaz)
  - Panel: by popular demand, the old struts behavior with autohide has been restored (issue #619);
    if you encounter applications that interact poorly with it,
	you might have better luck with strut_policy = minimum,
	if that does not work, you will have to turn off autohide.
- Enhancements:
  - Panel:
    - _NET_WM_PID is set correctly, so now tint2 can be interacted with more easily from wmctrl and similar apps
  - Taskbar: new config option taskbar_hide_different_desktop
  - Battery:
    - New config option bat1_format and bat2_format
	- New config option battery_full_cmd
	- Better "Unknown" state handling
  - Executor:
    - Hide if output is empty
    - If no user tooltip is set, displays the script standard error as tooltip.
      Tooltip is multiline, can be cleared with the VT100 clear screen sequence, in shell: (>&2 echo -en "\033[2J").
      Long tooltips are truncated to 4096 characters.
  - Launcher:
    - Drag and drop now handles correctly text/uri-list
    - Support for Terminal=true
    - Support for %f and %F
- Configuration changes:
  - Removed primary_monitor_first as it was conflicting with taskbar behavior; use *_monitor = primary instead.
- Other:
  - Major code refactoring
- Dropping "0." from the version number and no longer using semver ("Breaking.Feature.Fix").
  - Tint2 will always strive to be backwards compatible with respect to the configuration format.
  - Very few configurations changes have been broken between 2010 (0.10) - 2017 (0.14);
    in all cases they were minor options that caused incorrect behavior,
    and the changes were described better by "Feature" or "Fix".
  - Practically all releases starting from 0.10 have been very stable,
    so there is no point in staying in "0." anymore.
  - But I don't want the project to get stuck in "1." forever.
  - The new versioning scheme is the following:
    - Version numbers will have the format "Feature.Fix", where:
      - "Feature" is increased when significant new features are added.
      - "Fix" is increased for bugfixes or minor changes.
    - 0.14.6 will be followed by 15.0.

2017-06-11 0.14.6
- Fixes:
  - Take into account border width when computing text height
  - Taskbar: Fix task icon size limits
  - Executor: Do not output last line if it is not terminated by newline
- Enhancements:
  - Re-execute tint2 on SIGUSR2.
    This is useful for preserving config options and environment when updating tint2.

2017-05-21 0.14.5
- Fixes:
  - Fixed a couple of memory leaks

2017-04-29 0.14.4
- Fixes:
  - Fix regression in executor (issue #639)
  - Fix crash when _NET_WM_ICON is set but empty (https://github.com/jmc-88/tint3/issues/21)

2017-04-23 0.14.3
- Fixes:
  - Make versioning more robust when building as package
- Enhancements:
  - Tint2conf: Open current tint2 config automatically when started from tint2

2017-03-26 0.14.1
- Fixes:
  - Fixed tint2conf problem under FreeBSD (or generally any system using clang).

2017-03-26 0.14
- Enhancements:
  - New plugin: button.

2017-03-25 0.13.3
- Fixes:
  - Fixed autohide for non-bottom panels (issue #632)
  - Translations updated (contributed by Vladimir)

2017-03-19 0.13.2
- Fixes:
  - Fixed compilation under FreeBSD

2017-03-12 0.13.1
- Fixes:
  - Fixed compilation with new glibc (issue #625)
  - Fixed regression in distributing size between taskbars (issue #628)
  - Create ~/.config dir if it does not exist (issue #629)
- Enhancements:
  - New config option systray_name_filter to hide hide specific apps from the system tray (contributed by Matthew Otnel)
  - Tint2conf: minor improvements

2017-03-04 0.13
- Fixes:
  - Ignore monitors with size 0, fixing crash (issue #618)
  - Battery: support Asus Chromebook Flip C100PA (issue #616)
  - Panel: do not change struts (available screen size) when shown in autohide mode (issue #619)
  - tint2conf: executor tooltips are now correctly disabled when text config value is empty (contributed by Justin Jacobs)
- Enhancements:
  - Desktop files (shortcuts) used in launcher are reloaded on click, in case the file has changed
  - New config option taskbar_hide_if_empty to hide an empty taskbar in multi_desktop mode (contributed by Benoit Averty)
  - Gradient backgrounds (contributed by Oskari Rauta)
  - New option: panel_shrink (fixes issue #333)
  - Support for Path in .desktop files (contributed by Michael Messmore)
  - Tint2conf start up is much faster
- New plugin: separator (contributed by Oskari Rauta)

2016-08-02 0.12.12
- Fixes:
  - Set task maximum height equal to width if not specified, instead of hardcoding 30 (issue #583; thanks @VastOne)
  - tint2conf
    - Process background selection events correctly (issue #582)
	- Menus accessible with keyboard shortcuts (issue #590)
- Enhancements:
  - Borders can now be drawn on only some sides; configurable with the option border_sides (issue #580; thanks @stophe)
  - Updated man page
  - The geometry of panel items is printed to stderr if the environment variable DEBUG_GEOMETRY is set

2016-05-14 0.12.11
- Fixes:
  - tint2conf:
    - Fixed crash in tint2conf when adding background
    - Add correct extension to file name in tint2conf for 'Save as'
    - Changed main window title in tint2conf

2016-05-07 0.12.10
- Fixes:
  - Fixed crash in systray with non-Latin languagess (thanks zcodes)
  - Invalidate cached pixmaps on resize/move (issue #576)
  - Battery: do not show negative durations when the sensors return garbage
  - Proper workaround for issue #555

2016-04-02 0.12.9
- Fixes:
  - Regression: Do not detect empty areas as clickable (issue #572)
  - Regression: Position and resize task icon correctly (issue #575)
  - Use imlib2 for taking screenshot; if it fails, use Xlib (issue #574)
  - Battery: lower sample frequency when there is no support for reading current/power

2016-03-25 0.12.8
- Major changes (see details below):
  - Icon cache and lazy icon theme loading to improve performance in tint2 and tint2conf
  - Extra tint2rc themes are installed to /usr/share/tint2 and available in tint2conf
  - Tint2conf GUI improvements
- Config options with changed behavior:
  - The launcher now also allows launcher_item_app entries without a full path.
    In this case the .desktop file is searched in the standard application directories (issue #565).
  - If the panel size is given as a percentage and a non-zero margin is also specified,
    the size is now computed as a fraction of the available size (i.e. monitor size - margin).
    Before it was computed as a fraction of the monitor size first, then the margin was subtracted from the value, which
    was not intuitive (issue #559).
- Fixes:
  - Taskbar icons are now resized correctly for certain geometries (issue #560)
  - Fix get_version.sh so that it returns the correct version when .git is missing
  - Fix build on powerpc
  - Temporary files are now created in /tmp
  - The XDG paths are now used in the icon and application lookup in addition to the hardcoded defaults
  - Brigtness adjustments no longer distort colors
  - Fixed race in sorting systray icons by name
  - Fixed desktop entry parsing (issue #570)
  - tint2conf:
    - Applications are now sorted correctly
    - Avoid duplicate icon themes due to symlinks
    - Avoid loading desktop files marked as NoDisplay
- Enhancements:
  - Launcher icon paths are now cached, which greatly improves loading time for tint2 and tint2conf.
    The correct icon should be found even if you change the icon theme or install a new theme.
    If this is not the case, delete the file ~/.cache/tint2/icon.cache, restart tint2 and please file a bug report
    indicating the application name and the icon theme name.
  - Fallback icon themes are loaded lazily to speed up tint2 and tint2conf startup
  - A better Name and GenericName is used in the tint2 and tint2conf .desktop files
  - tint2conf:
    - Allows selection of themes from /usr/share
    - Menu reorganization (thanks @Vladimir-csp for feedback)
    - Icon themes are now sorted in the displayed list
    - Updated ru translation (thanks @Vladimir-csp)

2016-01-29 0.12.7
- Fixes:
  - Fix crash caused by race when reading inconsistent values for _NET_CURRENT_DESKTOP and _NET_NUMBER_OF_DESKTOPS
  - Fix regression (all desktop tasks not working)
  - Fix small memory leak in launcher

2016-01-25 0.12.6
- Fixes:
  - Fix crash on 32-bit systems (issue #546)
  - Fix compilation on Slackware (issue #547)
  - Terminal color reset code moved to the same line to prevent interference with logging (issue #545)
- Enhancements:
  - Executor now sends click coordinates via environment variables (issue #544)

2016-01-24 0.12.5
- Fixes:
  - Fix rendering corruption triggered occasionally when the compositor is disabled (regression in 0.12.4)

2016-01-23 0.12.4
- Enhancements:
  - Support for NETWM viewports (as used by Compiz or Unity) (issue #94)
  - The default desktop font (Gtk/FontName from XSettings) is used when a font is not specified in the config file
  - When no fonts are specified in the config, tint2 picks up the default font of the desktop environment via XSettings
  - Tint2 is now able to dump a stack trace to stderr and ~/.tint2-crash.log in case of a crash.
    If the cmake flag ENABLE_BACKTRACE is set, stack traces are dumped on X11 I/O errors.
    If the cmake flag ENABLE_BACKTRACE_ON_SIGNAL is set, stack traces are dumped also on signals such as SIGSEGV.
    Both ENABLE_BACKTRACE and ENABLE_BACKTRACE_ON_SIGNAL are disabled by default.
  - Pixmaps are cached instead of always redrawn between different button states when mouse effects are enabled,
    to improve performance
  - Tooltips are no longer very wide
  - Default config looks nicer
- New config options:
  - Executor: new plugin that displays the output of a command in the panel (issue #161)
  - New taskbar sort order options: least-recently-used (lru), most-recently-used (mru) (issue #532)
  - Place the primary monitor before all the other monitors (primary_monitor_first, issue #538)
  - taskbar_always_show_all_desktop_tasks (issue #279)
- Config options with changed behavior:
  - Mouse effects are enabled by default
- Fixes:
  - Battery changes visibility correctly (issue #531)
  - Fixed rendering corruption (issue #543)
  - Reverted the window flags back to the value in 0.11 to make sure the window manager detects that tint2 is a panel
    (affected kwin, bspwm; fixes issue #537, breaks issue #455)
  - Fixed a rare crash caused by the system tray code
  - The system tray now reorders icons correctly when the icon name changes and the sorting order is configured as
    ascending or descending (affected GTK icons, which sometimes set their name late after creating the icon)
  - Tint2conf no longer copies sample themes to ~/.config
- New optional dependencies:
  - libexecinfo on the *BSDs (only if the cmake flag ENABLE_BACKTRACE is set)

2015-11-12 0.12.3
- Enhancements:
  - Battery: Multiple batteries are now supported under Linux (issue #139;
    thanks to Sebastian Reichel)
  - Battery: The time left for charging/discharging the battery is now estimated
    when the system is not able to read current data from sensors (issue #522;
    thanks to Sebastian Reichel)
  - Battery: Reacts to plug/unplug events (thanks to Sebastian Reichel)
  - tint2conf: Backgrounds now have a text label showing which panel component
    uses them, to make them easier to identify; the label is saved as a comment
    in the config file (issue #521)
- New config options:
  - Mouse over effects (mouse_effects, background_color_hover, border_color_hover)
  - Launcher icon background (launcher_icon_background_id)
  - Enable/disable battery tooltips (battery_tooltip_enabled)
- Fixes:
  - Updated French translation
  - The correct icon is now used in tint2.desktop (issue #523)
  - The font setting for the desktop name is no longer lost on tint2 restart

2015-08-11 0.12.2
- Fixes:
  - Systray: do not move empty icons to the side, as it breaks GTK2 StatusIcon blinking (issue #515)
  - tint2conf: Fix read of panel_monitor (issue #520)
  - Fix command line argument processing (issue #516)
  - Fix battery option parsing

2015-08-01 0.12.1
- Fixes:
  - Config:
	- Read config correctly when panel_items is at the end of the config file (issue #511)
  - Panel:
	- Do not use nested event loops (related: issue #509)
  - System tray:
	- Set _NET_SYSTEM_TRAY_ICON_SIZE and _NET_SYSTEM_TRAY_PADDING
	- Throttle repeated resizes (workaround for issue #509)
  - Taskbar:
	- Use consistent visibility for sticky (all desktop) windows (related: issue #279)
	- Compute monitor correctly for windows when Openbox animations are enabled (issue #511)
  - tint2conf:
	- Bad read of option panel_margin
- New config options:
  - Battery mouse actions and clock middle click and wheel actions (thanks to Jeff Blake)

2015-07-12 0.12
- Note: the changes listed here are based on the previous release tint2 0.11, however some distributions (e.g. Debian)
  offered packages using newer commits and/or patches; thus from the user's perspective some of these features are
  already present. They are marked with '(already released by distros)'.
- Major changes:
  - Panel:
  - Checks if a compositor is launched during the first 30 seconds after startup and if found, restarts the panel with
    transparency enabled.
  - Launcher:
    - The launcher is now considered stable
    - Enhancement: SVG icon support
    - Enhancement: more thorough search for icons
  - Configuration GUI: tint2conf
    - Experimental, testing/feedback needed
  - Icons (system tray, task buttons, launcher):
    - Changed rendering method to fix icon corruptions (please report any problems)
  - System tray:
    - Icon rendering is faster
    - Several kinds of graphical corruptions have been fixed
    - Added workaround for misbehaving applications leaving empty tray icons
  - Many bugfixes
- New config options (see https://gitlab.com/o9000/tint2/wikis/Configure):
  - Panel:
    - panel_window_name
    - panel_items (already released by distros)
    - disable_transparency
  - Taskbar:
    - taskbar_distribute_size
    - taskbar_hide_different_monitor
    - taskbar_hide_inactive_tasks
    - taskbar_sort_order
    - taskbar_name (already released by distros)
    - task_align (already released by distros)
  - Launcher:
    - launcher* (already released by distros)
    - launcher_apps_dir (previously patched in by some distros)
    - startup_notifications
    - launcher_icon_theme_override
  - System tray:
    - systray_monitor
  - Freespace (already released by distros)
- Config options with changed behavior:
  - Panel:
    - panel_dock: previously, 'panel_dock = 1' was actually not placing the panel into the dock. This option now
      functions correctly. Due to the fact that OpenBox forcefully draws a border around dock windows, you might want to
      set it to zero (or change the border color/style to match tint2). If you set it to zero, make sure you do not have
      reserved space at the edge of the screen in the OpenBox config.
      Reason for change: issues 257, 394, 461, 465, 481.
    - panel_layer: previously, 'panel_layer = normal' was not functioning correctly. Now it does (it requires panel_dock = 0).
      Note that in this case some compositors will draw shadows of other windows behind tint2. This can be avoided in compton
      using the option shadow-exclude-reg = "x35+0-0" where 35 should be replaced with the size of the panel.
    - font_shadow: shadows are thicker and softer, and are now applied to all text elements, not just the taskbar.
      Reason for change: legibility improved for transparent panels.
  - Launcher:
    - launcher_item_app: now it expands leading ~ to the path to the user's home directory.
- Known issues:
  - tint2 might close unexpectedly and/or cause X to freeze on certain ATI graphics cards.
    Workaround: set 'disable_transparency = 1' in the config.
    Reference: https://gitlab.com/o9000/tint2/issues/497
- Project hosting:
  - Migrated from https://code.google.com/p/tint2 to https://gitlab.com/o9000/tint2 and switched from svn to git
- Bugfixes:
  - task switching from tint2 using the mouse wheel (mouse_scroll_up = prev_task and mouse_scroll_down = next_task) with
    multiple desktops and taskbar_mode = multi_desktop when hovering over the first/last window in the taskbar was broken;
    also when a window is set to appear on all desktops;
  - the launcher was not loading an icon if the icon theme was not providing it in a size close to the value of launcher_icon_size;
  - the launcher was not loading an icon if the extension was incorrect (e.g. file contents were PNG but the file name
    had extension SVG);
  - some launcher icons (PNG files saved with an indexed colormap and alpha mask) were sometimes rendered with white instead of
    transparency;
  - icons looked washed out when the panel was very transparent;
  - the panel border was rendered in the background of every systray icon; sometimes systray icons were rendered in the
    background of other icons;
  - a crash caused by a change that prevents Google Chrome (and possibly other misbehaving applications) from leaving a large
    number of empty icons in the system tray;
  - a crash caused by the system tray code on computers with ATI cards;
  - the panel window had a shadow;
  - some ATI drivers return an extra monitor with size zero which should be ignored when using panel_monitor = all;
  - the battery applet was sometimes working incorrectly with certain laptop models (the battery applet stopped updating after
    suspend with the battery unplugged);
  - crashed caused by incomplete or malformed config files;
  - with the fvwm window manager, the window title was sometimes not displayed correctly if it changed right after an
    application was started;
  - seconds were not updating in the clock;
  - tint2 hang triggered when an application started from the launcher was closed and startup notifications were enabled;
  - tint2 may fail to process X events for a few seconds when a new icon is added to the system tray;
  - the code that loads SVG icons was using a lot of memory;
  - fixed occasional race at startup in detecting screen resolution changes;
  - modified timer code to prevent some rare double-frees or duplicate timers.

2010-06-26
- unhide tint2 panel when dragging something
- battery FreeBSD uses the new ACPI API (thx to yamagi.burmeister)

2010-06-16
- Set _NET_WM_ICON_GEOMETRY for every task

2010-06-12
- strut_policy=minimum is possible even if autohide is disabled

2010-06-11
- Added icons and a *.desktop file for tint2conf
- BSD fixes 

2010-06-09
- Add cmake build system

2010-06-08
- Xrandr and Nvidia problems fixed

2010-05-17
- Fix installation of examples

2010-05-15
- added panel theme switcher 'tint2conf'
  with preview of each theme based on current config (size of monitor, task opened, ...)
- include tintwizard : theme editor
- autodetect composite manager and switch to real or fake transparency
  this feature needed a patch to xcompmgr
  see FAQ http://code.google.com/p/tint2/wiki/FAQ#How_to_configure_real_transparency_(xcompmgr)
- added 'strut_policy = none'
- drag n drop task re-ordering


2010-01-28
- Battery hide option
- bugfixes in task redrawing
- traywindow and autohide bugfix


2010-01-13
- calculate right struts for multiple monitors
- New timer implementation (works for *BSD too)
- Changed behaviour for forwarding clicks to the window manager
- Tint2 sets a class name, such that it can be identified by window managers
- better omnipresent task handling
- clock timezone support
- real transparency
- adjustable systray icons
- systray: several icons in one line
- autohide
- more task states (active/urgent/iconified)
- and some minor bugfixes which nobody recognized yet ;)


2009-12-16
- Scrolling through tasks by schattenprinz (added action next_task and prev_task)
- Andreas : *add* setting tooltip on clock with 'clock_tooltip = format'
- Andreas : *add* changed everything to kernel timer for easier integration with new timer
- Andreas : *add* multiple tasks can be urgent now
- Thierry : panel snapshot
- patch for FULL battery by peter.ebden
- Thierry : work on tint2conf. not ready for release yet.
- Thierry : killall -SIGUSR1 tint2 will reload config file cleanly
- Thierry : improved multi-monitor detection
- Thierry : added left2right and right2left value to systray_sort option
- Andreas : *add* option for ascending/descending/unsorted systray
- Thierry : EWMH non-resizable panel
- less disturbing omnipresent task by dmitry medvinsky
- Thierry : lower cpu use with icon. replace HUE by ALPHA on icon (see task_icon_asb)
- Thierry : add default icon on task
- Andreas : *add* tooltips
- Andreas : added possibility to put tint2 into the windowmanagers dock
- Andreas : Drag n drop over Task bring Focus
- Andreas : support skip_taskbar
- Thierry : detect pid of process owning the systray
- Andreas : added possibility to put tint2 into the windowmanagers dock

2009-09-08
- Drag n drop over Task bring Focus by Andreas.Fink85

2009-09-07
- fixed issue 117 : support skip_taskbar by Andreas.Fink85
- cleanup : switch space to tab

2009-09-01
- fixed segfault

2009-08-30
- detect pid of process owning the systray

2009-08-30
- added taskbar_active_background_id to change current desktop background.
  warning : this feature have a price on cpu (tint2 redraw all task) when you switch desktop.
  comment out taskbar_active_background_id if you don't want it.

2009-08-30
- fixed issue 130 by maato
  ordered systray icon with config "systray_sort = asc/desc"

2009-08-29
- fixed issue 134

2009-08-29
- cleanup and add desktop_right/desktop_left action on task (by jackp)

2009-08-29
- adjust saturation/brightness on task icon

2009-08-29
- merge change described in issue 122 (by jackp)
  made right click easier

2009-08-28
- add some HSB config

2009-08-09
- add mouse action : maximize_restore
- fixed issue 125

2009-07-28
- some tint2conf code

2009-07-26
- fixed icon on 64 bit system by benjaminfranzke

2009-07-19
- fixed systray crash by mart1987

2009-07-14
- play with some tint2conf code

2009-07-04
- fixed 'defunct' process after fork

----------------------------------------------------------------
2009-06-30  thilor77 <lorthiois@bbsoft.fr>
released tint-0.7

2009-06-29
- fixed bug when active window draged to another desktop

2009-06-29
- fixed issue 110 and issue 107

2009-06-25
- improve user's message when compiled with --disable-battery
- replace 'task_width = width' by 'task_maximum_size = width height'
  width will be used in horizontal panel
  height will be used in vertical panel

2009-06-24
- vertical panel done
  user's parameters :
  1) add 'vertical' to panel_position (panel_position = center left vertical)
  2) use 'task_width' to define the task height (task_width = 30)
  3) adjust paddingy on task and systray wiil define the size of icons
  all others parameters are automatically converted by tint2
  (x padding become y padding, width become height ...)
  so user's change between horizontal and vertical are minimised.

2009-06-23
- play with vertical panel
  check sample file tintrc05 and tintrc06
  more change to come...

2009-06-21
- play with some code for vertical panel

2009-06-20
- remove flickering on systray

2009-06-20
- 'urgent_nb_of_blink' allow to choose the number of blink

2009-06-19
- change systray code. fixed issue 91.

2009-06-18
- patch by Christian Ruppert, configure option for battery

2009-06-14
- revert r78, fixed issue 100

2009-06-13
- fixed background refresh on systray

2009-06-09
- fixed issue 98

2009-06-08
- fixed issue 97 and issue 95

2009-06-08
- allow 'taskbar_mode = multi_desktop' config with 'panel_monitor = all'

2009-06-07
- merge autotool build system by Christian Ruppert

2009-06-06
- fixed issue 56 : with windowmaker
  bug in windowmaker : send unecessary 'desktop changed' each time focus changed

2009-06-06
- add 'wm_menu' config option to disable window manager's menu
  if you don't specify "wm_menu = ", the default value will show WM menu.

2009-06-06
- fixed issue 90 and issue 81 : window manager's menu in panel padding
  works on openbox, pekwm, fluxbox, icewm.
  doesn't work on xfce, windowmaker ?
  tint2 send mouse event to your window manager on left/right padding
  and on top/bottom panel padding.

2009-06-05
- fixed issue 46 and 59 : urgent task
  limitation : just one urgent task at a time

2009-06-04
- patch by dmitry.medvinsky : right/left clic command

2009-06-02
- Systray Temp_Fix from keshto
  not yet perfect, but a first step

2009-05-31
- fixed issue 71 : time format %T %r

2009-05-31
- fixed issue 86 : padding bug

2009-05-31
- fixed issue 87 and 88 : battery detection

2009-05-26
- fixed memory leak and battery detection

2009-05-20
- merge patch from yarin.kaul (fixed issue 52)

2009-05-15
- merge battery applet from Sebastian Reichel <elektranox@gmail.com>

2009-03-14
- add systray option when convert tint-0.6 config file
  but you need to stop other systemtray program

2009-03-07
- fixed segfault when time1_format empty
- fixed systray : when clock change size
- fixed systray segfault when xrandr change size

2009-03-01
- fixed segfault on tray application due to tint2

2009-03-01
- cleanup code
- basic systray with some bugs
- update documentation and tintrc sample for systray

2009-02-27
- fixed issue 49 : patch from Daniel Moerner
- some systray code (doesn't work)
- cleanup code

2009-02-25
- fixed issue 48 : tint2 does't create config file on first start

2009-02-14
- fixed issue 45 : segfault without clock

2009-02-13
- improved object oriented layout
- tint2 looks good for me. if you see bugs, report it.

2009-02-12
- fixed issue 14 : no icons

2009-02-11
- fixed bug with number of desktop changed
- fixed clock resize when date changed

2009-02-08
- backward compatibility with tint-0.6 (convert config file)
  feature freeze until next release. need bug correction.

2009-02-07
- better multi-monitor capability :
  -> panel_monitor = all : tint2 draw one panel per monitor
  -> panel_size = 90% 30 : panel_size accept percentage or pixel
- change notation : MULTI_MONITOR changed to SINGLE_MONITOR
  in SINGLE_MONITOR mode, tint2 draw one taskbar with tasks from current monitor
- removed sleep mode (replaced by panel_monitor = all)
- update documentation and sample config file

2009-02-03
- better fixed for Robert Escriva problem : set_panel_properties -> Reserved space
- fixed issue 13 with background detection
- fixed bug with disconnected monitor (in multi monitor mode)
- removed capability to show Window magager's menu
  it's a feature I would like, but implementation was buggy

2009-01-29
- use panel_margin parameter even with full_width
- multi_monitor mode : monitor number are ordered according to coordinate
  so taskbar on the left show task in the left monitor

2009-01-20
- change config file format : add another padding parameter
- update documentation and sample config file

2009-01-19
- patch from Robert Escriva, fixed tint2 on multi-monitor
- fixed bug between MULTI_MONITOR mode and 'task on all desktop'

2009-01-18
- update documentation for new config format
- fixed memory corruption
- fixed bug with "task on all desktop" (issue 39)

2009-01-17
- fixed drawing of active task (with new layout)

2009-01-05
- fixed decorated window with compiz

2008-12-30
- fixed bug : segfault on ConfigureNotify event

2008-11-12
- fixed bug : segfault with icon
- panel's left and right padding feel like WM background
  (right click open window managers's menu, ...)

2008-11-02
- fixed bugs with new design
- panel.area manage the tree of visible objects

2008-10-28
- fixed issue : "untitled task", "task button did not update", "window don't shade",
  "error if I don't do 'make install'", "Makefile error"

2008-09-24
- change tintrc format
  user can define a list of background and border at the beginning of tintrc
  and each object (panel, taskbar, task, clock, systray) get a background number.
  the background number 0 is reserved by tint2 for full transparency.
  user's background start with number 1, 2, ...

2008-09-22
- better control on icon opacity
  icon opacity use the same value as text opacity

2008-09-21
- new parameter task_text = 0 or 1
  so you can show task's icon without text
- remove task_icon_size parameter because icon_size is calculate with task->padding_y

2008-09-19
- improve clock drawing on 2 lines
- new design : object oriented
    clock inherit Area (with draw_background)
- rename parameter 'panel_mode' in 'taskbar_mode'

2008-09-17
- change name from tint to tint2 because debian has already a package named tint
- new design : object oriented
    tasks inherit Area
    taskbars inherit Area

2008-09-16
- new design : object oriented
    remove task_margin parameter, replaced by taskbar_padding
    fixed segfault with new layout

2008-09-04
- new design : object oriented
  all objects inherit from Area : panel, taskbar, task, clock

2008-09-02 licence changed to GPL V2
>     Hi Pål,
>     Since latest release (tint-0.6), I try to merge a systray in tint.
>     The code I would like to merge is under GPL V2 licence.
>     So are you agree to change the licence of tint to GPL V2 ?
Pål Staurland answer :
 Yeah no problem::)

2008-08-17 patch from i...@noctus.net
- fixed bug : "Task button titles do not update"

2008-08-12
- code cleanup : Taskbar use GSLIST from glib

2008-08-07
- add 1 space between task title and icon

2008-07-25
- fixed bug when (task_rounded > panel_height/2)


----------------------------------------------------------------
2008-07-20  thil7 <lorthiois@bbsoft.fr>
released tint-0.6

2008-07-19
- backward compatibility : save new config file

2008-07-18
- bug fixed with multi-monitor : memory leak, move task on the same monitor

2008-07-12
- multi_monitor : added window_get_monitor(win)

2008-07-05
- multi_monitor : changed taskbar allocation when add/remove a monitor
- update documentation

2008-07-04
- changed in config file, panel_show_all_desktop
  replaced by panel_mode = single_desktop / multi_desktop / multi_monitor
- with panel_mode = multi_monitor, tint show one taskbar by monitor

2008-07-02
- add xinerama dependency
- read monitors configuration
- tint will run in 'sleep_mode'
  if you specify 'panel_monitor' on an unplug monitor
- tint 'wake up' when the monitor is detected or resolution changed

2008-06-30 patch from goo...@dougbarton.us
- tint wait for window manager on startup

2008-06-29
- specify monitor with parameter 'panel_monitor'
- panel_position is relative to your monitor
  panel_monitor = 1
  panel_position = bottom center

2008-06-24
- fixed bug : show tint on all desktop with fluxbox

2008-06-23
- task_width = 0 to get full taskbar width
- added documentation in /doc

2008-06-16
- renamed parameter panel_margin to panel_padding
- added parameter panel_margin = vertical_margin horizontal_margin

2008-06-15
- fixed bug : icon position changed when clock adjust width
- removed boolean parameter panel_background and task_background
  replaced with opacity (alpha) = 0
- removed task_active_border_width parameter
  identical to task_border_width
- fixed bug : draw task below panel border

2008-06-11
- removed the need of desktop margin.
  tint specify margin to window magager (_NET_WM_STRUT)

2008-06-10
- fixed bug : time/date vertical and horizontal center

2008-06-10  patch from benjaminfranzke
- fixed bug : draw icon on 64bit system.

2008-06-08
- fixed bug : in draw border and fill background

2008-06-04
- allow config file on the command line : tint -c ./tintrc2
- allow 2 value in config file : key = value1 value2
- panel_margin can get 2 values : vertical_margin horizontal_margin
  panel_margin = 8 4

2008-05-30
- put panel below other window
- set locale LANG

2008-05-28
- clock_width adjust automatically
- configure : time2_format see 'man strftime'

2008-05-27
- configure : time1_format see 'man strftime'
- cleanup code : refresh_pos()

2008-05-26
- catch time event in main loop
- draw clock fixed format %H:%M

2008-05-24
- removed boolean parameter task_icon
  task_icon_size = 0 replace task_icon = 0
- all colors parameters can get 2 values : color and opacity (alpha)
  font_color = #ffffff 70

2008-05-23
- cpu optimisation : limit call to visual_refresh()

2008-05-22
- configure clock : clock_font, clock_font_color


----------------------------------------------------------------
2008-05-20  thil7 <lorthiois@bbsoft.fr>
released tint-0.5

2008-05-19
- improve usability in mode 'show_all_desktop'
  -> don't switch desktop when close a task of another desktop
  -> allow to drag and drop task between desktop
- change panel_position : you can now specify top or bottom.
  values : bottom left, bottom right, bottom center, top left, top right, top center
  keep compatibility with old tintrc files
- change Makefile :
  add $PREFIX and $DESTDIR
  install default config file in /etc/xdg/tint/tintrc
- on startup, tint copy $XDG_CONFIG_DIR/tint/tintrc in ~/.config/tint/tintrc
  so each user can customize tintrc
- fixed : name of task in fluxbox
- improve focus detection (TransientForHint)
- cleanup code : send_event


----------------------------------------------------------------
2008-05-14  thil7 <lorthiois@bbsoft.fr>
released tint-0.4

2008-05-12
- boolean option 'show_all_desktop'
  0 : tint panel show one taskbar (from current desktop)
  1 : tint panel show all taskbars (from all desktops)
      - clic on a task switch to the desktop
      - clic on a taskbar (if empty) switch to the desktop
- add layout for taskbar : panel -> taskbar -> task
- cleanup code : state 'active' in Task replaced by task_active in Panel
- hide some window : _NET_WM_WINDOW_TYPE_DIALOG, _NET_WM_STATE_MODAL
- change project to 'MIT licence'
  because Pål Staurland put 'MIT licence' in all file source


----------------------------------------------------------------
2008-05-10  thil7 <lorthiois@bbsoft.fr>
released tint-0.3

2008-05-10
- manage events : 'send to desktop' and 'send to all desktop'
- bug solved : 'close' action now send _NET_CLOSE_WINDOW
  so openoffice ask 'save document...' if needed
- cpu optimisation :
  -> don't redraw panel background on all events. just when desktop change.
  -> don't remove/add all tasks when switch between desktop. remove 'task_new_desktop()'.
- small bug on _NET_WM_STATE_SKIP_TASKBAR corrected
- memory leak on g_build_filename


----------------------------------------------------------------
2008-05-09  thil7 <lorthiois@bbsoft.fr>
released tint-0.2

2008-05-08
- panel : add rounded and border (color and alpha)
- remove option 'panel_tasks_centered'
- user can configure mouse event on task
  (none, toggle, iconify, shade, close, toggle_iconify)

2008-05-07
- cpu optimisation : resize_tasks only when add/remove task,
  compute pos_y at startup

2008-05-04
- task width adjust when too many task

2008-05-01
- task : add rounded and border (color and alpha)
- panel position (left, right, center) thank to ak47izatool
- cleanup code : vertical position (icon and text),
  better refresh after delete task, memory leak *font
- panel : changed panel_margin and task_margin

2008-04-22
- fork ttm projet from p://code.google.com/p/ttm/ (by Pål Staurland staura@gmail.com)
  while the projet is no longer in developpement, have not changed the name of 'tint'.
.
.
.
.
.
.
.
.
.
.
.
.
